# class KFilePermissionsPropsPlugin

###

Table of contents
Modules
kio Classes
All Classes

Module | kio
Namespace | global
Class | KFilePermissionsPropsPlugin
Inherits | KPropertiesDialogPlugin

'Permissions' plugin In this plugin you can modify permissions and change the owner of a file. Internal

### enums

- PermissionsMode = { PermissionsOnlyFiles, PermissionsOnlyDirs, PermissionsOnlyLinks, PermissionsMixed }
- PermissionsTarget = { PermissionsOwner, PermissionsGroup, PermissionsOthers }

enum details

### methods

- KFilePermissionsPropsPlugin (_props)

  returns a KFilePermissionsPropsPlugin object

  Argument | Type | Default
  --- | --- | ---
  _props | KPropertiesDialog |

  Constructor

- applyChanges ()

  returns nothing

- leaveModality () signal

  returns nothing
  SIGNAL ("leaveModality ()")

- supports (_items)

  returns (bool)
  static

  Argument | Type | Default
  --- | --- | ---
  _items | KFileItemList |

  Tests whether the file specified by _items needs a 'Permissions' plugin.

### enums - detail

- PermissionsMode = { PermissionsOnlyFiles, PermissionsOnlyDirs, PermissionsOnlyLinks, PermissionsMixed }

  | PermissionsOnlyFiles | - |
  | PermissionsOnlyDirs | - |
  | PermissionsOnlyLinks | - |
  | PermissionsMixed | - |

- PermissionsTarget = { PermissionsOwner, PermissionsGroup, PermissionsOthers }

  | PermissionsOwner | - |
  | PermissionsGroup | - |
  | PermissionsOthers | - |